import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://raw.githubusercontent.com/wmgeolab/geoBoundaries/6b1d1e655cc4d67c9bbbc86fd0d53cffbfcf3641/releaseData/gbOpen/KAZ/ADM0/geoBoundaries-KAZ-ADM0.topojson';

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { eer } = topology.objects;
    	setData({
        regions: feature(topology, eer),
        interiors: mesh(topology, eer, (a, b) => a !== b)
      });
    });
  }, []);
  
  return data;
};